package de.intevation.gnv.artifactdatabase.objects;

/**
 * The default implementation of <code>OutputParameter</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultOutputParameter implements OutputParameter {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -8416057640116638152L;

    /**
     * The name of the parameter
     */
    private String name = null;

    /**
     * The value of the parameter
     */
    private String value = null;

    /**
     * The description of the parameter
     */
    private String description = null;

    /**
     * The type of the parameter
     */
    private String type = null;

    /**
     * Constructor
     *
     * @param name The name of the parameter
     * @param value The value of the parameter
     * @param description The description of the parameter
     * @param type The type of the parameter
     */
    public DefaultOutputParameter(String name, String value,
                                  String description, String type) {
        super();
        this.name = name;
        this.value = value;
        this.description = description;
        this.type = type;
    }

    public String getName() {
        return this.name;
    }

    public String getValue() {
        return this.value;
    }

    public String getDescription() {
        return this.description;
    }

    public String getType() {
        return this.type;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
